%define upstream_name    Test-Exception-LessClever
%define upstream_version 0.006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Test::Exception simplified
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Mock::Quick) >= 1.100.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Simple) >= 0.880.0
BuildArch:  noarch

%description
An alternative to the Test::Exception manpage that is much simpler. This
alternative does not use fancy stack tricks to hide itself. The idea here
is to keep it simple. This also solves the Test::Exception bug where some
dies will be hidden when a DESTROY method calls eval. If a DESTROY method
masks $@ a warning will be generated as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-6.mga6
+ Revision: 1034283
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.6.0-5.mga6
+ Revision: 971633
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 0.6.0-4.mga6
+ Revision: 892147
- BR perl(Module::Build)

* Wed Oct 15 2014 umeabot <umeabot> 0.6.0-3.mga5
+ Revision: 747743
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Apr 07 2014 jquelin <jquelin> 0.6.0-1.mga5
+ Revision: 612526
- adding missing buildrequires:
- imported package perl-Test-Exception-LessClever


* Mon Apr 07 2014 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
